# gdcm::Object Class Reference

Object. More...

`#include <gdcmObject.h>`

Inheritance diagram for gdcm::Object:
[legend]

List of all members.

## Public Member Functions
| Object (const Object &)
| Special requirement for copy/cstor, assigment operator.
| Object ()
virtual | ~Object ()
void | operator= (const Object &)
virtual void | Print (std::ostream &) const
## Protected Member Functions
void | Register ()
void | UnRegister ()
## Friends
std::ostream & | operator<< (std::ostream &os, const Object &obj)
class | SmartPointer

## Detailed Description

Object.

Note:
  main superclass for object that want to use SmartPointer invasive ref counting system

See also:
  SmartPointer

## Constructor & Destructor Documentation

gdcm::Object::Object | ( |  | ) | `[inline]`

virtual gdcm::Object::~Object | ( |  | ) | `[inline, virtual]`

gdcm::Object::Object | ( | const Object & |  | ) | `[inline]`

Special requirement for copy/cstor, assigment operator.

## Member Function Documentation

void gdcm::Object::operator= | ( | const Object & |  | ) | `[inline]`

virtual void gdcm::Object::Print | ( | std::ostream & |  | ) | const`[inline, virtual]`

Reimplemented in gdcm::ByteValue, gdcm::SequenceOfFragments, gdcm::SequenceOfItems, gdcm::Bitmap, gdcm::Curve, gdcm::Image, gdcm::LookupTable, gdcm::Overlay, gdcm::Pixmap, and gdcm::SegmentedPaletteColorLookupTable.

Referenced by gdcm::operator<<().

void gdcm::Object::Register | ( |  | ) | `[inline, protected]`

void gdcm::Object::UnRegister | ( |  | ) | `[inline, protected]`

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | os,
|  | const Object & | obj |
| ) |  |  | `[friend]`

friend class SmartPointer`[friend]`

The documentation for this class was generated from the following file:

- gdcmObject.h